﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SQLite;

namespace VSLiveWinRTData
{
    public class DbSession : BaseClass
    {

        private int sessionID;
        [AutoIncrement, PrimaryKey]
        public int SessionID
        {
            get
            {
                return sessionID;
            }

            set
            {
                sessionID = value; OnPropertyChanged("SessionID");
            }

        }
        private string title;

        public string Title
        {
            get { return title; }
            set { title = value; OnPropertyChanged("Title"); }
        }

        private string description;

        public string Description
        {
            get { return description; }
            set { description = value; OnPropertyChanged("Description"); }
        }

        private string speaker;

        public string Speaker
        {
            get { return speaker; }
            set { speaker = value; OnPropertyChanged("Speaker"); }
        }

        private DateTime when;

        public DateTime When
        {
            get { return when; }
            set { when = value; OnPropertyChanged("When"); }
        }
        
    }
}
