﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WinRTWeb
{
    public static class DateConverter
    {
        public static DateTime Convert(string value)
        {
            DateTime returunValue = new DateTime();
            if (DateTime.TryParse(value, out returunValue))
            {
                return returunValue;
            }
            else
            {
                var trimedJsonDate = value.Replace("/", "").Replace("Date", "").Replace("(", "").Replace(")", "");
                int indexOfDash = trimedJsonDate.IndexOf("-");
                if (indexOfDash >= 0)
                {
                    returunValue = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc).AddMilliseconds(double.Parse(trimedJsonDate.Substring(0, indexOfDash))).AddHours(int.Parse(trimedJsonDate.Substring(indexOfDash).Replace("0", "")));
                }
                else
                {
                    returunValue = new DateTime(1970, 1, 1).AddMilliseconds(double.Parse(trimedJsonDate));
                }
                return returunValue;
            }
        }
    }
}